org.jboss.jca.embedded.dsl

## Class InputStreamDescriptor

- java.lang.Object
- - org.jboss.jca.embedded.dsl.InputStreamDescriptor

- All Implemented Interfaces:
    org.jboss.shrinkwrap.descriptor.api.Descriptor

      public class InputStreamDescriptor
      extends java.lang.Object
      implements org.jboss.shrinkwrap.descriptor.api.Descriptor

  An InputStream descriptor.

  Note, that this class will close the passed `InputStream` once one of the export methods have been called.
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputStreamDescriptor(java.lang.String name, java.io.InputStream is)` Create an InputStreamDescriptor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `exportAsString()`
    `void` | `exportTo(java.io.OutputStream output)`
    `java.lang.String` | `getDescriptorName()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputStreamDescriptor

          public InputStreamDescriptor(java.lang.String name,
                                       java.io.InputStream is)

      Create an InputStreamDescriptor
      Parameters:
        `name` - The descriptor name
        `is` - The input stream

  - ### Method Detail

    - #### getDescriptorName

          public java.lang.String getDescriptorName()

      Specified by:
        `getDescriptorName` in interface `org.jboss.shrinkwrap.descriptor.api.Descriptor`

    - #### exportAsString

          public java.lang.String exportAsString()
                                          throws org.jboss.shrinkwrap.descriptor.api.DescriptorExportException

      Specified by:
        `exportAsString` in interface `org.jboss.shrinkwrap.descriptor.api.Descriptor`
      Throws:
        `org.jboss.shrinkwrap.descriptor.api.DescriptorExportException`

    - #### exportTo

          public void exportTo(java.io.OutputStream output)
                        throws org.jboss.shrinkwrap.descriptor.api.DescriptorExportException,
                               java.lang.IllegalArgumentException

      Specified by:
        `exportTo` in interface `org.jboss.shrinkwrap.descriptor.api.Descriptor`
      Throws:
        `org.jboss.shrinkwrap.descriptor.api.DescriptorExportException`
        `java.lang.IllegalArgumentException`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)